SUMMARY: MODULE | CLASS | TYPE | PROC | VAR | CONST | DETAIL: TYPE | PROC | VAR | CONST

# XML:Regexp

### Import List

        XML:DTD

Class List
Matcher |
Regexp |
Set |

Class Summary: Matcher [Detail]
      +--XML:Regexp.Matcher
Constructor Summary
NewMatcher(Regexp): Matcher
Method Summary
EndOfRegexp(): BOOLEAN
ExpectedTags(String): String
Matches(String): BOOLEAN

Class Summary: Regexp [Detail]
      +---XML:DTD.RegexpInfo
           |
           +--XML:Regexp.Regexp
Constructor Summary
New(CP): Regexp

Class Summary: Set [Detail]
      +--XML:Regexp.Set

Type Summary
[Members] = POINTER TO ARRAY OF State
[State] = LONGINT
[States] = POINTER TO ARRAY OF RECORD ... END

Class Detail: Matcher

Constructor Detail

### NewMatcher

    PROCEDURE NewMatcher(regexp: Regexp): Matcher

Method Detail

### EndOfRegexp

    PROCEDURE (m: Matcher) EndOfRegexp(): BOOLEAN

### ExpectedTags

    PROCEDURE (m: Matcher) ExpectedTags(currentElement: String): String

### Matches

    PROCEDURE (m: Matcher) Matches(name: String): BOOLEAN

Class Detail: Regexp

Constructor Detail

### New

    PROCEDURE New(contentModel: CP): Regexp

> Pre-condition: The contentModel is neither EMPTY, ANY, nor ``Mixed`'.

Class Detail: Set

Type Detail

### Members

    TYPE [Members] = POINTER TO ARRAY OF State

### State

    TYPE [State] = LONGINT

### States

    TYPE [States] = POINTER TO ARRAY OF RECORD
    YYYYEND